@echo off
cls
echo.
echo.........................................................................
echo.
echo Download Tool - for JACE-6 and JACE-6E ONLY!
echo.
echo.
echo.
echo While connected to a JACE-6 or 6E via serial shell and the following is
echo visible:
echo.
echo    Press ctrl-c to stop autoboot...
echo    Autobooting...
echo.
echo    Try again.
echo.
echo    Commands:
echo      0: serial
echo      1: nand flash
echo      2: nand flash (verbose)
echo      3: sdram test, 1 iteration
echo      4: sdram test, continuous iterations
echo    IPL
echo.
echo.
echo This tool is intended to be executed after running PuTTY
echo connecting to the JACE-6 and selecting the IPL command "0".
echo.
echo Once option 0: serial is selected in serial shell, disconnect 
echo from PuTTY and continue with this batch operation.
echo.
echo.........................................................................
echo.
echo.
echo.
echo.
pause
echo.........................................................................
echo.
echo.
echo Here is a list of available serial ports on your system:
chgport /QUERY
echo.
FOR /L %%A IN (1,1,9) DO (
  MODE COM%%A | find /i "is not currently available" > nul
  if not errorlevel 1 (
    echo NOTE: COM%%A is in use by another application!
  )
)
echo.
echo.
echo Enter serial port identifier 
set /p port=Valid entries are COM1 to COM9: 
cd /d %~dp0
sendnto -d%port% -b115200 -v npm6xx_3_8_1xx.image
echo.
echo.
echo.
IF ERRORLEVEL 1 GOTO FLASH
echo.........................................................................
echo.
echo.
echo Now that the serial download is complete connect PuTTY to the 
echo JACE-6 and press 'return' then press 'c'. When the jace reboots the 
echo process is complete and the jace should boot with the following banner:
echo.
echo. IPL for NPM 6 (PPC440EP) 
echo.
echo. Once unit boots to menu perform the recover unreachable jace procedure.
echo.........................................................................
pause
exit
:FLASH
echo WARNING: The COM PORT entered on the command line either doesn't exist
echo          or was not entered.
echo.
echo          Try again and enter a valid COM port number when executing the 
echo          batch file. Example:
echo                                 COM1
echo.
pause